eID middleware |

# be.portugal.eid.PTEID_CardVersionInfo Class Reference

Class for the info document. More...

Inheritance diagram for be.portugal.eid.PTEID_CardVersionInfo:

List of all members.

## Public Member Functions
synchronized void | delete ()
String | getSerialNumber () throws java.lang.Exception
| Get the serial number of the card.
String | getComponentCode () throws java.lang.Exception
| Get the componenCode of the card.
String | getOsNumber () throws java.lang.Exception
| Get the OS number of the card.
String | getOsVersion () throws java.lang.Exception
| Get the OS version of the card.
String | getSoftmaskNumber () throws java.lang.Exception
| Get the softmask number of the card.
String | getSoftmaskVersion () throws java.lang.Exception
| Get the softmask version of the card.
String | getAppletVersion () throws java.lang.Exception
| Get the applet version of the card.
String | getGlobalOsVersion () throws java.lang.Exception
| Get the global Os version of the card.
String | getAppletInterfaceVersion () throws java.lang.Exception
| Get the applet interface version of the card.
String | getPKCS1Support () throws java.lang.Exception
| Get the PKCS#1 support of the card.
String | getKeyExchangeVersion () throws java.lang.Exception
| Get the key exchange version of the card.
String | getAppletLifeCycle () throws java.lang.Exception
| Get the applet life cycle of the card.
String | getGraphicalPersonalisation () throws java.lang.Exception
| Get field 'GraphicalPersonalisation' from the TokenInfo file.
String | getElectricalPersonalisation () throws java.lang.Exception
| Get field 'ElectricalPersonalisation' from the TokenInfo file.
String | getElectricalPersonalisationInterface () throws java.lang.Exception
| Get field 'ElectricalPersonalisationInterface' from the TokenInfo file.
PTEID_ByteArray | getSignature () throws java.lang.Exception
| Get the signature of the card info.
## Protected Member Functions
| PTEID_CardVersionInfo (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_CardVersionInfo obj)

## Detailed Description

Class for the info document.

See also:
  PTEID_EIDCard.getVersionInfo() PTEID_EIDCard.getDocument()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_CardVersionInfo.PTEID_CardVersionInfo | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_CardVersionInfo.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_CardVersionInfo.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

String be.portugal.eid.PTEID_CardVersionInfo.getAppletInterfaceVersion | ( |  | ) | throws java.lang.Exception

Get the applet interface version of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getAppletLifeCycle | ( |  | ) | throws java.lang.Exception

Get the applet life cycle of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getAppletVersion | ( |  | ) | throws java.lang.Exception

Get the applet version of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getComponentCode | ( |  | ) | throws java.lang.Exception

Get the componenCode of the card.

static long be.portugal.eid.PTEID_CardVersionInfo.getCPtr | ( | PTEID_CardVersionInfo | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_CardVersionInfo.swigCPtr.

String be.portugal.eid.PTEID_CardVersionInfo.getElectricalPersonalisation | ( |  | ) | throws java.lang.Exception

Get field 'ElectricalPersonalisation' from the TokenInfo file.

String be.portugal.eid.PTEID_CardVersionInfo.getElectricalPersonalisationInterface | ( |  | ) | throws java.lang.Exception

Get field 'ElectricalPersonalisationInterface' from the TokenInfo file.

String be.portugal.eid.PTEID_CardVersionInfo.getGlobalOsVersion | ( |  | ) | throws java.lang.Exception

Get the global Os version of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getGraphicalPersonalisation | ( |  | ) | throws java.lang.Exception

Get field 'GraphicalPersonalisation' from the TokenInfo file.

String be.portugal.eid.PTEID_CardVersionInfo.getKeyExchangeVersion | ( |  | ) | throws java.lang.Exception

Get the key exchange version of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getOsNumber | ( |  | ) | throws java.lang.Exception

Get the OS number of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getOsVersion | ( |  | ) | throws java.lang.Exception

Get the OS version of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getPKCS1Support | ( |  | ) | throws java.lang.Exception

Get the PKCS#1 support of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getSerialNumber | ( |  | ) | throws java.lang.Exception

Get the serial number of the card.

PTEID_ByteArray be.portugal.eid.PTEID_CardVersionInfo.getSignature | ( |  | ) | throws java.lang.Exception

Get the signature of the card info.

String be.portugal.eid.PTEID_CardVersionInfo.getSoftmaskNumber | ( |  | ) | throws java.lang.Exception

Get the softmask number of the card.

String be.portugal.eid.PTEID_CardVersionInfo.getSoftmaskVersion | ( |  | ) | throws java.lang.Exception

Get the softmask version of the card.